Page MenuHomePhabricator

efl_ui_radio: refactor for usage of efl_ui_check_selected
ClosedPublic

Authored by bu5hm4n on May 30 2019, 5:18 PM.

Details

Summary

in previous versions of this widget, the calls that are available due to
inheritance did not work. efl_ui_check_selected_set did not work on a
radio button. However, the internal function _state_set did just exactly
that. So this commit refactors the activity emitting out of the
function, so the _state_set function can just be used as the
efl_ui_check_selected set function.

Depends on D9058

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 30 2019, 5:18 PM
bu5hm4n requested review of this revision.May 30 2019, 5:18 PM
bu5hm4n added a child revision: D9060: efl_ui_radio: cleanup API.
bu5hm4n updated this revision to Diff 22661.Jun 5 2019, 5:00 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

zmike accepted this revision.Jun 12 2019, 5:50 AM

Seems good.

This revision is now accepted and ready to land.Jun 12 2019, 5:50 AM
Closed by commit rEFL8cc340e8b201: efl_ui_radio: refactor for usage of efl_ui_check_selected (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJun 20 2019, 7:02 AM
This revision was automatically updated to reflect the committed changes.